<!doctype html>
<html>
    <head>
        <meta charset="utf-8">
        <meta property="og:title" content="RealTalk" />
        <meta property="og:image" content="https://fcs.skt-ptt.co.kr/mcs/p/service_img_market.png"/>
        <meta property="og:description" content="리얼톡 무전방에 초대합니다."/>
        <meta name="viewport" content="width=device-width, height=device-height, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
        <title>RealTalk</title>
        <link rel="shortcut icon" href="./favicon.ico" />
        <style type="text/css">
            .testButton button {
                display: inline-block;
                font-size: 40px;
                width: 100%;
                height: 100px;
            }
            .testButton a {
                text-decoration: none;
            }
        </style>
        <script type="text/javascript">

          window.onload = function () {
            function getArgs(queryString) {
              var args = {};
              var a = '';

              var prop;
              var val;
              var arg;

              try {
                if(queryString === undefined) {
                  a = window.location.search.split('?')[1].split('&');
                } else {
                  a = queryString.split('?')[1].split('#')[0].split('&');
                }
                for (prop in a) {
                  if (a.hasOwnProperty(prop)) {
                    console.log("prop: " + prop + " value: " + a[prop]);
                    val = a[prop];
                    arg = val.split('=');
                    args[arg[0]] = arg[1];
                  }
                }
              } catch (e) {
                console.log('Error getArgs window.location.search('+window.location.search+')');
              }

              console.log(JSON.stringify(args));
              return args;
            }

            function getAppLink() {
              var referrerData = args.referrer;
              var o = {};
              o.protocol = "sktptt";
              o.host = "sktptt.com";
              /*
              var fallback = 'S.browser_fallback_url=' + encodeURIComponent('https://play.google.com/store/apps/details?id=com.ti2.ringding&referrer=' + referrerData);
              */
              var fallback = 'S.browser_fallback_url=' + encodeURIComponent('https://play.google.com/store/apps/details?id=com.skt.ptt');
              o.appLink = '#Intent;scheme=' + o.protocol + ';action=android.intent.action.VIEW;category=android.intent.category.BROWSABLE;package=com.skt.ptt;'+ fallback +';end';
              o.param = args.referrer;
              return 'intent://' + o.host + '?referrer=' + o.param + o.appLink;
            }

            function getWebLink() {
              var referrerData = args.referrer;
              return "market://details?id=com.skt.ptt&referrer=" + referrerData;
              /*
              return "market://details?id=com.ti2.ringding&referrer=" + referrerData;
              return 'https://play.google.com/store/apps/details?id=com.ti2.ringding&referrer=' + referrerData;
              return "market://details?id=com.skt.ptt&referrer=" + referrerData;
              */
            }

            function getIOSAppLink() {
                var url = '';
                var referrerData = args.referrer;
                /*
                url = "navermaps://?referrer=" + referrerData;
                */
                url = "PushtoTalk://?referrer=" + referrerData;
                return url;
            }

            function getIOSTempLink() {
                var url = '';
                url = "./d.html";
                return url;
            }

            function getIOSWebLink() {
                var url = '';
                /*
                url = "http://itunes.apple.com/app/id311867728?mt=8";
                url = "https://itunes.apple.com/kr/app/id958489415?mt=8";
                */
                url = "https://itunes.apple.com/us/app/okitoki-jeonmunga-sujun-ui/id1076478675?l=ko&ls=1&mt=8";
                return url;
            }

            function getIOSMajorVersion() {
                if (/iP(hone|od|ad)/.test(navigator.userAgent)) {
                    var a = (navigator.appVersion).match(/OS (\d+)_(\d+)_?(\d+)?/);
                    return parseInt(a[1], 10)
                }
            }

            function isSafari() {
                var r = false;
                if (navigator.userAgent.indexOf('Safari') != -1 && navigator.userAgent.indexOf('Chrome') == -1 && navigator.userAgent.indexOf('Android') == -1) {
                    r = true;
                    console.log('Its Safari');
                }
                return r;
            }

            function iOS() {
                var iDevices = [
                    'iPad Simulator',
                    'iPhone Simulator',
                    'iPod Simulator',
                    'iPad',
                    'iPhone',
                    'iPod'
                        ];

                while (iDevices.length) {
                    if (navigator.platform === iDevices.pop()){
                        console.log('Its iOS');
                        return true;
                    }
                }

                return false;
            }

            function jump() {
              console.log(navigator.userAgent);
              var scheme;
              var fallbackLink;
              var iosConfirmStr = "리얼톡 설치페이지로 이동할까요?";
              console.log('jump');

              if(isSafari() || iOS()) {
                  location.href = getIOSTempLink();
                  return;
                  if (getIOSMajorVersion() >= 9) {
                      location.href = getIOSAppLink();
                      return;
                  }

                  try {
                      location.href = getIOSAppLink();
                  } catch (f) {
                      if (window.confirm(iosConfirmStr)) {
                          location.href = getIOSWebLink();
                      }
                  }

                  var clickedAt = +new Date;
                  setTimeout(function() {
                      if (+new Date - clickedAt < 3000) {
                          if (window.confirm(iosConfirmStr)) {
                              location.href = getIOSWebLink();
                          }
                      }
                  }, 1500);
                  return;
              }

              scheme = getAppLink();
              fallbackLink = getWebLink();
              console.log("scheme: " + scheme);
              console.log('fallbackLink: ' + fallbackLink);

              console.log('force' + args.force);
              if(args.force) {
                window.location.href = scheme;
              } else {
                try {
                    var f;
                    f = document.createElement("iframe");
                    f.style.border = "none";
                    f.style.width = "0px";
                    f.style.height = "0px";
                    f.src = scheme;
                    document.body.appendChild(f);
                } catch (e) {
                    console.log('fallbackLink catch');
                    window.location.replace(fallbackLink);
                }
              }

              var startDate = new Date();
              window.setTimeout(function (){
                if((new Date() - startDate) < 4000) {
                  console.log('fallbackLink timeout');
                  window.location.replace(fallbackLink);
                } else {
                  console.log('fallbackLink exception');
                }
              }, 3000);
            }

            window.jump = jump;

            var args = getArgs();
            if(args.referrer) {
              console.log(args.referrer);
            } else {
              console.log("no referrer");
            }

            console.log('button' + args.button);
            if(args.button === 'ok') {
                var b = document.getElementById('appLinkButton');
                b.style.display = "block";
            } else {
                window.jump();
            }

          }; /* window.onload */
        </script>
    </head>
    <body>
        <div style="display: none" id="appLinkButton" class="testButton" >
            <button id="myCheck" onclick="window.jump()">앱 호출</button>
        </div>
    </body>
</html>
